{{ define "head" }}
	{{ if .Params.featuredImg -}}
	<style>.bg-img {background-image: url('{{.Params.featuredImg}}');}</style>
	{{- else if .Params.images -}}
		{{- range first 1 .Params.images -}}
		<style>.bg-img {background-image: url('{{. | absURL}}');}</style>
		{{- end -}}
	{{- end -}}
{{ end }}

{{ define "header" }}
{{ partial "header.html" . }}
{{ end }}




{{ define "main" }}
	{{- if (or .Params.images .Params.featuredImg) }}
	<div class="bg-img"></div>
	{{- end }}
	<main class="site-main section-inner animated fadeIn faster">
		<article class="thin">
			<header class="post-header">
				{{ $readTime := mul (div (countwords .Content) 220.0) 60 }}
				
				{{ $minutes := int (div $readTime 60) }}
				{{ $seconds := int $readTime }}
				<div class="post-meta"><span style="float:right;text-align: right;"><i class="fas fa-calendar-day"></i> {{ .Date.Format .Site.Params.dateform }} <br><i class="fas fa-clock"></i> 
					{{ if (eq $minutes 0) }}
						{{ $seconds }} {{ cond (eq $seconds 1) "second" "seconds" }}
					{{ else }}
						{{ $minutes }} {{ cond (eq $minutes 1) "minute" "minutes" }}
					{{ end }}
					</span></div>
				<h1>{{ .Title }}</h1>
			</header>
			<div class="content">
				{{ .Content | replaceRE "(<h[1-6] id=\"([^\"]+)\".+)(</h[1-6]+>)" `${1}<a href="#${2}" class="anchor" aria-hidden="true"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M15 7h3a5 5 0 0 1 5 5 5 5 0 0 1-5 5h-3m-6 0H6a5 5 0 0 1-5-5 5 5 0 0 1 5-5h3"></path><line x1="8" y1="12" x2="16" y2="12"></line></svg></a>${3}` | safeHTML }}
			</div>
			{{- if .Site.Params.relatedPosts }}
			{{- partial "related-posts.html" . -}}
			{{- end }}
			<hr class="post-end">
			<footer class="post-info">
				{{- with $.Param "author" }}
				<p><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-feather"><path d="M20.24 12.24a6 6 0 0 0-8.49-8.49L5 10.5V19h8.5z"></path><line x1="16" y1="8" x2="2" y2="22"></line><line x1="17.5" y1="15" x2="9" y2="15"></line></svg>{{ . }}</p>
				{{- end }}
				{{- with .Params.tags }}
				<p>
					<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-tag meta-icon"><path d="M20.59 13.41l-7.17 7.17a2 2 0 0 1-2.83 0L2 12V2h10l8.59 8.59a2 2 0 0 1 0 2.82z"></path><line x1="7" y1="7" x2="7" y2="7"></line></svg>
					{{- range . -}}
					<span class="tag"><a href="{{ "tags/" | absLangURL }}{{ . | urlize }}">{{.}}</a></span>
					{{- end }}
				</p>
				{{- end }}
				<p><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-file-text"><path d="M14 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V8z"></path><polyline points="14 2 14 8 20 8"></polyline><line x1="16" y1="13" x2="8" y2="13"></line><line x1="16" y1="17" x2="8" y2="17"></line><polyline points="10 9 9 9 8 9"></polyline></svg>{{ i18n "wordCount" . }}</p>
				<p><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-calendar"><rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect><line x1="16" y1="2" x2="16" y2="6"></line><line x1="8" y1="2" x2="8" y2="6"></line><line x1="3" y1="10" x2="21" y2="10"></line></svg>{{ dateFormat .Site.Params.dateformNumTime .Date.Local }}</p>
				{{- if and .GitInfo .Site.Params.gitUrl }}
				<p><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-git-commit"><circle cx="12" cy="12" r="4"></circle><line x1="1.05" y1="12" x2="7" y2="12"></line><line x1="17.01" y1="12" x2="22.96" y2="12"></line></svg><a href="{{ .Site.Params.gitUrl -}}{{ .GitInfo.Hash }}" target="_blank" rel="noopener">{{ .GitInfo.AbbreviatedHash }}</a> @ {{ dateFormat .Site.Params.dateformNum .GitInfo.AuthorDate.Local }}</p>
				{{- end }}
			</footer>
		</article>
		{{- if .Params.toc }}
		<aside id="toc">
			<div class="toc-title">{{ i18n "tableOfContents" }}</div>
			{{ .TableOfContents }}
		</aside>
		{{- end }}
		<div class="post-nav thin">
			{{- with .NextInSection }}
			<a class="next-post" href="{{ .Permalink }}">
				<span class="post-nav-label"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-left"><line x1="19" y1="12" x2="5" y2="12"></line><polyline points="12 19 5 12 12 5"></polyline></svg>&nbsp;{{ i18n "newer" }}</span><br><span>{{ .Title }}</span>
			</a>
			{{- end }}
			{{- with .PrevInSection }}
			<a class="prev-post" href="{{ .Permalink }}">
				<span class="post-nav-label">{{ i18n "older" }}&nbsp;<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-right"><line x1="5" y1="12" x2="19" y2="12"></line><polyline points="12 5 19 12 12 19"></polyline></svg></span><br><span>{{ .Title }}</span>
			</a>
			{{- end }}
		</div>
		<div id="comments" class="thin">
		{{- partial "comments.html" . -}}
		</div>
	</main>
{{ end }}

{{ define "footer" }}
{{ partialCached "footer.html" . }}
{{ end }}
